
--name of mod containing battery picture
local modpath = '__test-mod-C__'

--config
local picture_height = 111
local picture_width  = 26
local gui_height     = 84
local gui_width      = picture_width
local bar_width      = 14
local bar_height     = gui_height - 11

--code
data.raw["gui-style"].default.battery_widget = {
  type = "empty_widget_style",
  size = {picture_width, gui_height} --default: 21,54
  }

data.raw["gui-style"].default.battery_progressbar = {
  type = "progressbar_style",
  top_padding = 0 , --0
  bar_width   = bar_width, --13
  height      = bar_height, --33
  color       = {g=1},
  bar = {
    filename = "__core__/graphics/gui.png",
    position = {223, 0 },
    size     = {  1, 11},
    scale    = 1,
    },
  other_colors = {
    {less_than = 0.33, color = {r = 1                   }},
    {less_than = 0.66, color = {r = 1, g = 0.5, b = 0.25}},
    {less_than = 1   , color = {       g = 1            }},
    }
  }

data.raw['utility-sprites'].default.battery_indicator = {
  filename = modpath..'/battery_26x111.png',
  priority = "extra-high-no-scale",
  width    = picture_width, --21
  height   = picture_height, --54
  }

